Re: The following packages have unmet dependencies: packagegroup-core-x11-base : Depends: packagegroup-core-x11-xserver but it is not going to be installed #yocto


Quentin Schulz
 

Hi Pankaj,

On Wed, Jul 01, 2020 at 11:22:00AM -0700, Pankaj Vinadrao Joshi wrote:
Hi,
i am trying to build core-image-sato and i am using PACKAGE_CLASSES = "package_deb" but while building i am getting following error
pankaj@exaleap-Inspiron-3584:~/Oe-Raspberrypi4$ bitbake core-image-sato
Parsing recipes: 100% |######################################################################################################################################################################| Time: 0:01:56
Parsing of 2279 .bb files complete (0 cached, 2279 parsed). 3439 targets, 195 skipped, 0 masked, 0 errors.
NOTE: Resolving any missing task queue dependencies

Build Configuration:
BB_VERSION           = "1.46.0"
BUILD_SYS            = "x86_64-linux"
NATIVELSBSTRING      = "ubuntu-18.04"
TARGET_SYS           = "aarch64-oe-linux"
MACHINE              = "raspberrypi4-64"
DISTRO               = "Exaleap-arm-linux"
DISTRO_VERSION       = "Exaleap-arm-linux-r1.0.0"
TUNE_FEATURES        = "aarch64 cortexa72 crc crypto"
TARGET_FPU           = ""
meta                 = "master:982b7f98b8423236cc986346379b1bde3694f131"
meta-oe
meta-python
meta-networking
meta-multimedia
meta-perl            = "dunfell:e413c1ef621688e69bb7830bb3151ed23b30b73e"
meta-raspberrypi     = "master:5ac6f013339b0b1ab2d71f9f6af48a186e126c19"
meta-pankaj          = "<unknown>:<unknown>"

Initialising tasks: 100% |###################################################################################################################################################################| Time: 0:00:05
Sstate summary: Wanted 270 Found 0 Missed 270 Current 1913 (0% match, 87% complete)
NOTE: Executing Tasks
ERROR: core-image-sato-1.0-r0 do_rootfs: Unable to install packages. Command '/home/pankaj/Oe-Raspberrypi4/tmp-glibc/work/raspberrypi4_64-oe-linux/core-image-sato/1.0-r0/recipe-sysroot-native/usr/bin/apt-get  install --force-yes --allow-unauthenticated --no-remove apt bash bsdtar cmake dhcp-client dhcp-server dosfstools dpkg e2fsprogs git glibc-utils kernel-modules localedef lsb-release mtd-utils-ubifs mtools openssh os-release packagegroup-base-extended packagegroup-core-boot packagegroup-core-sdk packagegroup-core-ssh-openssh packagegroup-core-standalone-sdk-target packagegroup-core-tools-debug packagegroup-core-x11-base packagegroup-core-x11-sato parted pseudo psplash-raspberrypi python3-pip ruby run-postinsts unicode-ucd' returned 100:
Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
packagegroup-core-x11-base : Depends: packagegroup-core-x11-xserver but it is not going to be installed
Missing x11 in DISTRO_FEATURES in your distro.
http://cgit.openembedded.org/openembedded-core/tree/meta/recipes-graphics/packagegroups/packagegroup-core-x11-xserver.bb?h=master#n12

(I also maintain you shouldn't put a capital letter in your distro name,
you'll encounter issues later).

Quentin

Join yocto@lists.yoctoproject.org to automatically receive all group messages.